%global pkgname alnuth

# We need gap-pkg-radiroot to run all of the tests, but it depends on this
# package to function at all.  Therefore, build without this to bootstrap on
# a new architecture.
%bcond_without radiroot

Name:           gap-pkg-%{pkgname}
Version:        3.0.0
Release:        2%{?dist}
Summary:        Algebraic number theory for GAP

License:        GPLv2+
URL:            http://www.icm.tu-bs.de/ag_algebra/software/Alnuth/
Source0:        http://www.icm.tu-bs.de/ag_algebra/software/Alnuth/%{pkgname}.tar.gz
BuildArch:      noarch

BuildRequires:  gap-devel
BuildRequires:  gap-pkg-polycyclic
%if %{with radiroot}
BuildRequires:  gap-pkg-radiroot
%endif
BuildRequires:  pari-gp

Requires:       gap-core
Requires:       gap-pkg-polycyclic
Requires:       pari-gp
Requires(post): gap-core
Requires(postun): gap-core

%global pkgdir Alnuth-%{version}

%description
Alnuth is an extension for the computer algebra system GAP and forms
part of a standard installation.  The functionality of Alnuth lies in
ALgebraic NUmber THeory.  It provides an interface from GAP to certain
number theoretic functions from the computer algebra system PARI/GP.
Most computations with Alnuth rely on this interface.

%prep
%setup -q -n %{pkgdir}

%build
# Nothing to do

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../%{pkgdir} %{buildroot}%{_gap_dir}/pkg
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgdir}/{doc/make_doc,CHANGES,GPL,README}

%post -p %{_bindir}/update-gap-workspace

%postun -p %{_bindir}/update-gap-workspace

%check
# Tests that depend on RadiRoot will fail during a bootstrap build.
gap -l "%{_gap_dir};%{buildroot}%{_gap_dir}" < tst/testall.g

%files
%doc CHANGES README
%license GPL
%docdir %{_gap_dir}/pkg/%{pkgdir}/doc
%docdir %{_gap_dir}/pkg/%{pkgdir}/htm
%{_gap_dir}/pkg/%{pkgdir}/

%changelog
* Tue Jun  2 2015 Jerry James <loganjerry@gmail.com> - 3.0.0-2
- Rebuild with radiroot

* Wed Mar 25 2015 Jerry James <loganjerry@gmail.com> - 3.0.0-1
- Initial RPM (bz 1205905)
